{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"publicCloud.storage.object.ReplicationDestinationCandidate":{"type":"object","description":"A bucket of the project evaluated as a possible replication destination for a given source bucket","properties":{"eligible":{"type":"boolean","description":"Whether this bucket can be used as the destination of a replication rule on the source bucket","readOnly":true},"name":{"type":"string","description":"Bucket name","readOnly":true},"reason":{"allOf":[{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationDestinationReasonEnum"}],"description":"Why the bucket cannot be used as a destination. Set only when eligible is false.","nullable":true,"readOnly":true},"region":{"type":"string","description":"Region the bucket is located in","readOnly":true}}},"publicCloud.storage.object.ReplicationDestinationReasonEnum":{"type":"string","description":"Reason a bucket cannot be used as a replication destination. `OBJECT_LOCK_INCOMPATIBLE`: The object lock configuration of the destination bucket is incompatible with the one of the source bucket. `REGION_NOT_REPLICATION_TARGET`: The region of the destination bucket does not accept replicated objects. `VERSIONING_DISABLED`: Versioning is not enabled on the destination bucket.","enum":["OBJECT_LOCK_INCOMPATIBLE","REGION_NOT_REPLICATION_TARGET","VERSIONING_DISABLED"]},"publicCloud.storage.object.ReplicationJob":{"type":"object","description":"A batch replication job applying a bucket's replication configuration to its existing objects","properties":{"completed":{"type":"integer","description":"Number of successfully replicated objects","readOnly":true},"createdAt":{"type":"string","description":"Job creation date","format":"date-time","readOnly":true},"failed":{"type":"integer","description":"Number of objects that failed to replicate","readOnly":true},"id":{"type":"string","description":"Unique identifier of the job","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationJobStatusEnum"}],"description":"Job status","readOnly":true},"stuck":{"type":"integer","description":"Number of stuck objects","readOnly":true},"total":{"type":"integer","description":"Total number of objects to replicate","readOnly":true}}},"publicCloud.storage.object.ReplicationJobStatusEnum":{"type":"string","description":"Replication job status","enum":["ACTIVE","COMPLETED","CREATED","FAILED","PREPARING"]},"publicCloud.storage.object.ReplicationRule":{"type":"object","description":"An S3™ compatible bucket replication rule","properties":{"deleteMarkerReplication":{"allOf":[{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationRuleDeleteMarkerReplicationEnum"}],"description":"Whether delete markers are replicated"},"destination":{"allOf":[{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationRuleDestination"}],"description":"Destination bucket and settings for replicated objects","nullable":true},"filter":{"allOf":[{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationRuleFilter"}],"description":"Filter criteria for the rule","nullable":true},"id":{"type":"string","description":"Unique identifier of the replication rule"},"priority":{"type":"integer","description":"Priority of the replication rule"},"status":{"allOf":[{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationRuleStatusEnum"}],"description":"Whether the rule is enabled or disabled"}},"required":["deleteMarkerReplication","id","priority","status"]},"publicCloud.storage.object.ReplicationRuleDeleteMarkerReplicationEnum":{"type":"string","description":"Whether delete markers are replicated","enum":["DISABLED","ENABLED"]},"publicCloud.storage.object.ReplicationRuleDestination":{"type":"object","description":"Destination configuration for replicated objects","properties":{"name":{"type":"string","description":"Name of the destination bucket"},"region":{"type":"string","description":"Region of the destination bucket"},"storageClass":{"allOf":[{"$ref":"#/components/schemas/publicCloud.storage.object.StorageClassReplicationEnum"}],"description":"Storage class for replicated objects in the destination bucket","nullable":true}},"required":["name","region"]},"publicCloud.storage.object.ReplicationRuleFilter":{"type":"object","description":"Filter criteria to select which objects a replication rule applies to","properties":{"prefix":{"type":"string","description":"Key prefix to filter objects","nullable":true},"tags":{"type":"object","description":"Key-value tag pairs to filter objects","nullable":true,"additionalProperties":{"type":"string"}}}},"publicCloud.storage.object.ReplicationRulePut":{"type":"object","description":"Payload to replace all replication rules for an S3™ compatible bucket","properties":{"rules":{"type":"array","description":"Array of replication rules. An empty array deletes all rules.","items":{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationRule"}}},"required":["rules"]},"publicCloud.storage.object.ReplicationRuleStatusEnum":{"type":"string","description":"Possible statuses for an S3™ compatible bucket replication rule","enum":["DISABLED","ENABLED"]},"publicCloud.storage.object.ReplicationRulesResponse":{"type":"object","description":"Response containing replication rules for an S3™ compatible bucket","properties":{"rules":{"type":"array","description":"Array of replication rules","items":{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationRule"},"readOnly":true}}},"publicCloud.storage.object.StorageClassReplicationEnum":{"type":"string","description":"Available S3™ storage classes for replication","enum":["DEEP_ARCHIVE","GLACIER","GLACIER_IR","HIGH_PERF","INTELLIGENT_TIERING","ONEZONE_IA","STANDARD","STANDARD_IA"]},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication":{"get":{"operationId":"getBucketReplication","summary":"List replication rules","description":"Returns the rules that copy new objects to other buckets.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"bucketName","description":"Bucket name","required":true,"schema":{"type":"string"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationRulesResponse"}}}},"409":{"description":"Error 409 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::Conflict::RegionInMaintenance":{"value":{"class":"Client::Conflict::RegionInMaintenance","message":"This region is currently in maintenance"}}}}}}},"tags":["Storage","Object"],"x-developer-hub-navigation":[["Public Cloud","Storage","Object Storage","Replication@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:storage/object/bucket/replication/get","required":true}]},"put":{"operationId":"editBucketReplication","summary":"Replace replication rules","description":"Replaces all replication rules of the bucket. An empty list deletes all rules.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"bucketName","description":"Bucket name","required":true,"schema":{"type":"string"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationRulePut"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationRulesResponse"}}}},"409":{"description":"Error 409 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::Conflict::RegionInMaintenance":{"value":{"class":"Client::Conflict::RegionInMaintenance","message":"This region is currently in maintenance"}}}}}}},"tags":["Storage","Object"],"x-developer-hub-navigation":[["Public Cloud","Storage","Object Storage","Replication@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: publicCloud.storage.object.ReplicationRulePut\nresult = client.put(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication\",\n\trules = None, # Array of replication rules. An empty array deletes all rules. (type: array)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: publicCloud.storage.object.ReplicationRulePut\n$result = $ovh->put(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication\", array(\n\trules => null, // Array of replication rules. An empty array deletes all rules. (type: array)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:storage/object/bucket/replication/edit","required":true}]}},"/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication/destination":{"get":{"operationId":"getBucketReplicationDestinations","summary":"List possible replication destinations","description":"Returns the other buckets of the project and whether each one can receive objects replicated from this bucket. A bucket that cannot gives a reason: versioning disabled, incompatible object lock, or a region that does not accept replicated objects.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"bucketName","description":"Bucket name","required":true,"schema":{"type":"string"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationDestinationCandidate"}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::BucketDoesNotExist":{"value":{"class":"Client::NotFound::BucketDoesNotExist","message":"S3 bucket not found"}}}}}},"409":{"description":"Error 409 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::Conflict::RegionInMaintenance":{"value":{"class":"Client::Conflict::RegionInMaintenance","message":"This region is currently in maintenance"}}}}}}},"tags":["Storage","Object"],"x-developer-hub-navigation":[["Public Cloud","Storage","Object Storage","Replication@@@60"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication/destination\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication/destination\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:storage/object/bucket/replication/destination/get","required":true}],"x-response-identifier":"name"}},"/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication/trigger":{"get":{"operationId":"getBucketReplicationJobs","summary":"List batch replication jobs","description":"Returns the batch replication jobs of the bucket and their progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"bucketName","description":"Bucket name","required":true,"schema":{"type":"string"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationJob"}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::BucketDoesNotExist":{"value":{"class":"Client::NotFound::BucketDoesNotExist","message":"S3 bucket not found"}}}}}}},"tags":["Storage","Object"],"x-developer-hub-navigation":[["Public Cloud","Storage","Object Storage","Replication@@@30"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication/trigger\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication/trigger\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:storage/object/bucket/replication/trigger/get","required":true}],"x-response-identifier":"id","x-expanded-response":"PublicCloudStorageObjectReplicationJob"},"post":{"operationId":"createBucketReplicationJob","summary":"Start a batch replication job","description":"Applies the current replication rules to the objects already in the bucket.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"bucketName","description":"Bucket name","required":true,"schema":{"type":"string"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationJob"}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::BucketDoesNotExist":{"value":{"class":"Client::NotFound::BucketDoesNotExist","message":"S3 bucket not found"}}}}}}},"tags":["Storage","Object"],"x-developer-hub-navigation":[["Public Cloud","Storage","Object Storage","Replication@@@40"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication/trigger\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication/trigger\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:storage/object/bucket/replication/trigger/create","required":true}]}},"/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication/trigger/{id}":{"get":{"operationId":"getBucketReplicationJob","summary":"Get a batch replication job","description":"Returns the progress of a batch replication job: total, completed, failed and stuck objects.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"bucketName","description":"Bucket name","required":true,"schema":{"type":"string"}},{"in":"path","name":"id","description":"Id","required":true,"schema":{"type":"string"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.storage.object.ReplicationJob"}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::BucketDoesNotExist":{"value":{"class":"Client::NotFound::BucketDoesNotExist","message":"S3 bucket not found"}},"Client::NotFound::ResourceDoesNotExist":{"value":{"class":"Client::NotFound::ResourceDoesNotExist","message":"Resource not found"}}}}}}},"tags":["Storage","Object"],"x-developer-hub-navigation":[["Public Cloud","Storage","Object Storage","Replication@@@50"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication/trigger/{id}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/replication/trigger/{id}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:storage/object/bucket/replication/trigger/get","required":true}],"x-response-identifier":"id"}}},"tags":[{"name":"Storage","x-tag-expanded":false,"description":"Missing description"},{"name":"Object","x-tag-expanded":false,"description":"Missing description"}]}
